summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-12-24 16:35:18 +0000
committerJim Meyering <jim@meyering.net>2003-12-24 16:35:18 +0000
commit05bc7f6b3c60bd2aff0396e17b30721265668430 (patch)
treea5ea63af522d53176b452769e4a31e9c09dcdb23 /tests
parent4e9c25d0cc09842551165bfcc25fa5a39adc31c9 (diff)
downloadcoreutils-05bc7f6b3c60bd2aff0396e17b30721265668430.tar.xz
.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ls/m-option44
1 files changed, 44 insertions, 0 deletions
diff --git a/tests/ls/m-option b/tests/ls/m-option
new file mode 100755
index 000000000..855ca9088
--- /dev/null
+++ b/tests/ls/m-option
@@ -0,0 +1,44 @@
+#!/bin/sh
+# exercise the -m option
+
+if test "$VERBOSE" = yes; then
+ set -x
+ ls --version
+fi
+
+. $srcdir/../envvar-check
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+seq 2000 > b || framework_failure=1
+touch a || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+# Before coreutils-5.1.1, the following would output a space after the comma.
+ls -w2 -m a b > out || fail=1
+
+# Before coreutils-5.1.1, the following would produce leading white space.
+# All of the sed business is because the sizes are not portable.
+ls -sm a b | sed 's/^[0-9]/0/;s/, [0-9][0-9]* b/, 12 b/' >> out || fail=1
+cat <<\EOF > exp || fail=1
+a,
+b
+0 a, 12 b
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+(exit $fail); exit $fail